%define upstream_name    Data-Printer
%define upstream_version 0.35

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Pretty-printing date and time objects (not just DateTime!)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone::PP)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::HomeDir) >= 0.910.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Package::Stash) >= 0.300.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sort::Naturally)
BuildRequires: perl(Term::ANSIColor) >= 3.0.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(version) >= 0.770.0
BuildArch:  noarch

%description
the Data::Printer manpage lets you add custom filters to display data
structures and objects, by either specifying them during "use", in the
'.dataprinter' configuration file, or even in runtime customizations.

But there are times when you may want to group similar filters, or make
them standalone in order to be easily reutilized in other environments and
applications, or even upload them to CPAN so other people can benefit from
a cleaner - and clearer - object/structure dump.

This is where 'Data::Printer::Filter' comes in. It *exports* into your
package's namespace the the /filter manpage function, along with some
helpers to create custom filter packages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.350.0-2.mga3
+ Revision: 365403
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.350.0-1.mga3
+ Revision: 342034
- update to 0.35

* Wed Nov 14 2012 jquelin <jquelin> 0.340.0-1.mga3
+ Revision: 317620
- update to 0.34

* Wed Aug 29 2012 kharec <kharec> 0.330.0-1.mga3
+ Revision: 285256
- update to 0.33

* Tue Mar 06 2012 jquelin <jquelin> 0.300.0-1.mga2
+ Revision: 219904
- update to 0.3

* Wed Jan 25 2012 jquelin <jquelin> 0.290.0-1.mga2
+ Revision: 200846
- update to 0.29

* Sat Nov 26 2011 kharec <kharec> 0.260.0-1.mga2
+ Revision: 172115
- update to 0.26

* Sat Nov 05 2011 kharec <kharec> 0.240.0-1.mga2
+ Revision: 163453
- update to 0.24

* Thu Sep 01 2011 jquelin <jquelin> 0.230.0-1.mga2
+ Revision: 137536
- update to 0.23
- update to 0.22

* Fri Jul 08 2011 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 120370
- update to 0.21

* Thu Jun 30 2011 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 116806
- imported package perl-Data-Printer

